Bug 1653213 - Cosmetic issues on CNV installation pages
Summary: Cosmetic issues on CNV installation pages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Documentation
Version: 1.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 1.3
Assignee: Pan Ousley
QA Contact: Irina Gulina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 09:28 UTC by Irina Gulina
Modified: 2019-01-08 14:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-08 14:27:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Irina Gulina 2018-11-26 09:28:49 UTC
Document URL: 
https://cnv_setup--ocpdocs.netlify.com/openshift-enterprise/latest/cnv_install/cnv_install.html

* Replace "Enable admission control webhooks during OpenShift cluster installation" title with "Admission control webhooks"
* Break all long code lines
* Only "Create the KubeVirt configuration:" contains the command output, others don't. Why so?
* Replace "Installing the Container-native Virtualization web console" with "Installing the CNV web console", otherwise it's not consistent with other subtitles and upper level title.
* "https://master_node.example.com:8443/console" shouldn't be a clickable link, it's a false one.

Comment 1 Nelly Credi 2018-11-26 16:24:28 UTC
regarding the last issue, not only that it probably shouldnt be clickable, but also its incorrect. The new UI is accessed via
https://kubevirt-web-ui.your_domain.com

Comment 2 Pan Ousley 2018-11-30 23:12:56 UTC
(In reply to Irina Gulina from comment #0)
> Document URL: 
> https://cnv_setup--ocpdocs.netlify.com/openshift-enterprise/latest/
> cnv_install/cnv_install.html
> 
> * Replace "Enable admission control webhooks during OpenShift cluster
> installation" title with "Admission control webhooks"

Changed this already :) Good call.

> * Break all long code lines

Are there any that are too long in particular? 

> * Only "Create the KubeVirt configuration:" contains the command output,
> others don't. Why so?

Mainly because I didn't have a system to try the commands myself :) If you're able to provide some output, I'll put it in the docs.

> * Replace "Installing the Container-native Virtualization web console" with
> "Installing the CNV web console", otherwise it's not consistent with other
> subtitles and upper level title.

This one is no longer in the docs because we went with APBs, so I guess it's resolved. There are some other titling inconsistencies in the User's Guide that I am planning to fix.

> * "https://master_node.example.com:8443/console" shouldn't be a clickable
> link, it's a false one.

Asciidoc makes any links clickable automatically. I can escape any that shouldn't be clickable in the future. This link is no longer in the docs, AFAIK, because we removed the web console installation instructions.

Let me know if this is resolved or if you have any remaining concerns (or if you want to send output). Thanks!

Comment 3 Irina Gulina 2018-12-04 09:55:57 UTC
@Pan Long lines were for manifests. So, it's not applicable to the current doc version.

Anth else is fine. There may be smth on web-ui installation. I'm checking it right now. if anth, it will go in a separate BZ. 

Thanks!


Note You need to log in before you can comment on or make changes to this bug.